//+------------------------------------------------------------------+
//|                                                            4.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 White
#property indicator_color2 White

//---- input parameters

extern int CountBars=3000;

//---- buffers
double val1[];
double val2[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,217);
   SetIndexBuffer(0,val1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,218);
   SetIndexBuffer(1,val2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| AltrTrend_Signal_v2_2                                            |
//+------------------------------------------------------------------+
int start()
  { double F_u,F_d;
   double xU,yU,dU,xD,yD,dD;
   int limit;
   int counted_bars=IndicatorCounted();
   
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=3; i<limit; i++)
{ 
   xU=High[i]-Low[i+2];
   yU=High[i]-Low[i-2];
   dU=yU/xU;
   
   xD=High[i+2]-Low[i];
   yD=High[i-2]-Low[i];
   dD=yD/xD;
   
	F_u=iFractals(0,0,MODE_UPPER,i);
	F_d=iFractals(0,0,MODE_LOWER,i);

         
if (F_u!=0&&0.382<dU&&dU<0.618)
{
	val1[i]=High[i]+15*Point;
}
if (F_d!=0&&0.382<dD&&dD<0.618) 
{
	val2[i]=Low[i]-15*Point;
}


}
   return(0);
  }
//+------------------------------------------------------------------+